Page MenuHomePhabricator

Decommision poolcounter1002
Closed, ResolvedPublic

Description

poolcounter1002 is to be decom per T187297 and T186534.

It should follow the full decom template steps:


  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp (replace with role::spare::system if system isn't shut down immediately during this process.)

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - power down host
  • - disable switch port
  • - switch port assignment noted on this task (for later removal) asw2-b-eqiad:ge-4/0/15
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2018, 2:05 PM

Change 428924 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/mediawiki-config@master] Depool poolcounter1002

https://gerrit.wikimedia.org/r/428924

Change 428925 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Assign role spare to poolcounter1002

https://gerrit.wikimedia.org/r/428925

Change 428924 merged by jenkins-bot:
[operations/mediawiki-config@master] Depool poolcounter1002

https://gerrit.wikimedia.org/r/428924

Change 428925 merged by Alexandros Kosiaris:
[operations/puppet@production] Assign role spare to poolcounter1002

https://gerrit.wikimedia.org/r/428925

Mentioned in SAL (#wikimedia-operations) [2018-04-25T14:12:47Z] <akosiaris@tin> Synchronized wmf-config/ProductionServices.php: depool poolcounter1002 T193025 (duration: 01m 16s)

akosiaris triaged this task as Low priority.Apr 25 2018, 2:14 PM
akosiaris updated the task description. (Show Details)
akosiaris added projects: Operations, ops-eqiad.
akosiaris added a subscriber: ops-eqiad.
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.May 2 2018, 2:34 PM
Vvjjkkii renamed this task from Decommision poolcounter1002 to i9daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Mainframe98 renamed this task from i9daaaaaaa to Decommision poolcounter1002.Jul 1 2018, 9:17 AM
Mainframe98 lowered the priority of this task from High to Low.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added subscribers: Aklapper, gerritbot.
Krinkle moved this task from Backlog to WMF Production on the PoolCounter board.
RobH updated the task description. (Show Details)Jul 23 2018, 8:31 PM
RobH updated the task description. (Show Details)Jul 31 2018, 10:18 PM

Change 449624 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] decom poolcounter1002

https://gerrit.wikimedia.org/r/449624

Change 449625 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom poolcounter1002 prod dns

https://gerrit.wikimedia.org/r/449625

Change 449624 merged by RobH:
[operations/puppet@production] decom poolcounter1002

https://gerrit.wikimedia.org/r/449624

Change 449625 merged by RobH:
[operations/dns@master] decom poolcounter1002 prod dns

https://gerrit.wikimedia.org/r/449625

RobH assigned this task to Cmjohnson.Jul 31 2018, 10:22 PM
RobH removed a project: Patch-For-Review.
RobH updated the task description. (Show Details)
RobH moved this task from Backlog to pending onsite steps (eqiad) on the decommission board.

Change 451108 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Removing mgmt dns for decom host poolcounter1002

https://gerrit.wikimedia.org/r/451108

Change 451108 merged by Cmjohnson:
[operations/dns@master] Removing mgmt dns for decom host poolcounter1002

https://gerrit.wikimedia.org/r/451108

Cmjohnson closed this task as Resolved.Aug 9 2018, 4:12 PM
Cmjohnson updated the task description. (Show Details)